@if (componentData$ | async; as componentData) {
  <sqtm-core-customisable-dialog
    [titleKey]="
      'sqtm-core.administration-workspace.servers.test-automation-servers.dialog.title.about-orchestrator'
    "
    [attr.data-test-dialog-id]="'about-orchestrator'"
  >
    <sqtm-core-dialog-body>
      @if (componentData.reachable) {
        <h3 class="font-dialog-title" style="text-align: center">
          {{ componentData.response.name }}
        </h3>
        @if (componentData.response.baseImages?.length > 0) {
          <ul>
            <li>
              {{
                'sqtm-core.administration-workspace.servers.test-automation-servers.dialog.about-orchestrator.images-bases'
                  | translate
              }}
              @for (image of componentData.response.baseImages; track image) {
                <div>
                  <sqtm-core-label
                    [text]="'- ' + image.name + ' : ' + image.version"
                  ></sqtm-core-label>
                </div>
              }
            </li>
          </ul>
        }
        @if (componentData.response.internalComponents?.length > 0) {
          <ul>
            <li>
              {{
                'sqtm-core.administration-workspace.servers.test-automation-servers.dialog.about-orchestrator.internal-components'
                  | translate
              }}
              @for (
                image of componentData.response.internalComponents;
                track image
              ) {
                <div>
                  <sqtm-core-label
                    [text]="'- ' + image.name + ' : ' + image.version"
                  ></sqtm-core-label>
                </div>
              }
            </li>
          </ul>
        }
      } @else {
        <div class="flex-row error-message m-t-5">
          <i
            nz-icon
            class="sqtm-core-icon"
            nzType="exclamation-circle"
            nzTheme="twotone"
            [nzTwotoneColor]="'#FF0000'"
          ></i>
          <span>
            {{
              'sqtm-core.administration-workspace.servers.test-automation-servers.dialog.about-orchestrator.unreachable'
                | translate
            }}
          </span>
        </div>
      }
    </sqtm-core-dialog-body>
    <sqtm-core-dialog-footer>
      <button
        [attr.data-test-dialog-button-id]="'close'"
        style="margin-top: 5px"
        nz-button
        nzType="default"
        sqtmCoreDialogClose
      >
        {{ 'sqtm-core.generic.label.close' | translate }}
      </button>
    </sqtm-core-dialog-footer>
  </sqtm-core-customisable-dialog>
} @else {
  <sqtm-core-full-page-loading-icon></sqtm-core-full-page-loading-icon>
}
